NEW FEATURES in PMView 2000 version 2.32

The following bugs and problems are fixed in PMView 2000 v2.32:

  1. Loading, BMP: Black&White 1-bit BMP files without color map load as 
     completely black in PMView.
  2. Loading, TIFF: TIFF-in-JPEG files having YCbCr photometric with
     only one sample per pixel cannot be loaded.
  3. Edit/Paste: Pasting a color mapped selection into a color mapped 
     image causes incorrect information on the status bar showing that 
     the image has zero (0) color indexes.
  4. Saving: Saving a file that is read-only locks up PMView.
  5. File Open/Save dialogs: File names with multiple consequtive dots 
     (e.g. "test..jpg") are not included in the file list when using 
     "*.jpg" as file mask.
  6. File Open/Save dialogs: Using multiple asterisks (e.g. "*.*.*") 
     in a file mask does not work correctly.
  7. Color conversion dialog: Typing in a larger value than 256 in the 
     "Convert to Indexed 256-color" dialog causes PMView to crash.
  8. Printing: When changing the value of the number of copies, the
     new setting is not effective until the print dialog is closed and 
     reopened.

-----------------------------------------------------------------------------

The following bugs and problems are fixed in PMView 2000 v2.31:

  1. File Open/Save dialogs : Due to a performance problem in the memory 
     management system, closing the File Open or File Save dialog may 
     lock up the system for several seconds. (The severity of the problem 
     depends on the number of files with thumnails.)
  2. Slideshow: The slide options dialog has wrong frame style.
  3. Printing: Printing of low-resolution (98dpi) multi-page 
     TIFF/FAX files does not work correctly. (Only the current 
     page is correctly printed).

-----------------------------------------------------------------------------

The following features are new in PMView 2000 v2.30:

  1. SFF (Structured Fax File) file format support (read/write)
  2. Playback of Animated GIF files
  3. OS/2 High Memory Support (HMS). Previous versions of PMView were 
     limited to handling approx. 300 MB of memory. The added HMS support 
     in this version will let PMView handle up to 3072 MB provided that 
     the VIRTUALADDRESSLIMIT parameter is set accordingly in CONFIG.SYS.

The following bugs and problems are fixed in PMView 2000 v2.30:

  1. File Sequencer: Using PgUp/PgDn in PMView's main window when the most 
     recently viewed file has been deleted may cause PMView to crash.
  2. Printing: When the print unit is set to inches or millimeters the 
     minimum printable size is restricted to 1 inch or 1 millimeter 
     respectively. 
  3. File Open/Save dialogs: Pressing the left mouse button on a file and 
     moving the mouse pointer to select files does not work correctly 
     unless the CTRL key is pressed. (Pressing the CTRL key gives a 
     different behavior so it does not provide a solution to the problem).

-----------------------------------------------------------------------------

The following features are new in PMView 2000 v2.20:

  1. File Sequencer: The file sequencer (PgUp/PgDn in PMView's main window) 
     now follows the sort order and file filter selected in the File Open 
     dialog.
  2. File Sequencer: The file sequencer file list will now be refreshed 
     when forcing a refresh (F5) in the File Open dialog.
  3. File Open/Save dialogs: The "Open file:" entry field is changed to a 
     drop-down combo box that holds a list of the 50 most recently used 
     directories.
  4. File Open/Save dialogs: Automatic addition and removal of 
     attached/detached disk drives in the folder tree.
  5. Printing: PMView now supports printing of all pages in a multi page 
     file (e.g. TIFF). A range selector has been added to the print dialog 
     for selecting what page range to print. 
  6. Printing: Provided that the printer driver supports Dynamic Job 
     Properties (DJP) to change the print orientation, PMView will now 
     use DJP to change the orientation instead of rotating the image data. 
     This enhancement makes printing of large documents faster and more 
     reliable. The use of DJP also lets PMView keep the orientation and 
     copy count settings in its Print dialog synchronized with the settings 
     in the printer specific settings dialog.
  7. Print dialog: New option for setting the number of copies to print.
  8. Print dialog: The print dialog has been made more user friendly by 
     replacing the three "Fit" pushbuttons with a list box that lets you 
     select the option you want. The new design allows "Fit page" to work 
     as most users expect and always automatically fit the image to the 
     page (for instance when a margin or the orientation is altered). 
  9. Display quality: Added dithering in 15 and 16 bit video modes. This 
     addition eliminates visible color stairs in the image.
 10. Display quality: New improved ordered dithering gives better image 
     quality in video modes that use 256 colors.
 11. Saving, TIFF: New TIFF save option that lets you save TIFF files with 
     only one single data strip. (Some FAX applications require this).

The following bugs and problems are fixed in PMView 2000 v2.20:

  1. File Open/Save dialogs: Unreasonably slow performance when having 
     more than 10,000 files in the same directory.
  2. File Open/Save dialogs: If the mouse is accidentally dragged when
     pressing the ALT key and the left mouse button, PMView may hang. 
     (This situation may easily arise by accident when pressing ALT and 
     the left mouse button to rename files).
  3. File Open/Save dialogs: Pressing the CTRL key and the left mouse 
     button on a selected (highlighted) file does not work the same way 
     as in OS/2 folders. If the file is selected, pressing the CTRL key 
     should activate a state where all files that are under the mouse 
     pointer are deselected. PMView acts the same way regardless of the 
     status of the clicked files. Files under the mouse pointer are 
     always selected.
  4. File Open/Save dialogs: The reference file in the FOC is not changed
     when loading new files with the PgUp/PgDn keys in the main window. 
     Thus, pressing the SHIFT key and clicking on a file does not give 
     the expected selection. Instead of using the currently selected 
     (highlighted) file as reference, the file that was most recently 
     selected by the user is used as reference.
  5. File Open/Save dialogs: Pressing F5 to refresh does not add new drives 
     nor does it remove deleted drives.
  6. File Open/Save dialogs, batch conversion: In case the format conversion 
     of a file for some reason fails the template file is not deleted. This 
     may happen for instance if the source file is corrupt or if the file is 
     not a valid image file.
  7. File Open/Save dialogs: Container view options are not stored separately
     for the Open and Save dialogs. (Both dialogs use the same registry 
     settings.)
  8. Loading, DCX: PMView cannot read 8-bit DCX files with more than 1 page.
  9. Loading, TIFF: PMView will now read 1-bit TIFF files that are missing 
     the required tag 252 (Photometric Interpretation).
 10. Loading, TIFF: PMView will now read TIFF files with invalid data in 
     tags 279 (StripByteCounts) or 325 (TileByteCounts).
 11. Workplace Shell integration (MAKEDEFV.EXE): Double-clicking on files 
     launches the Multimedia Viewer instead of PMView.
 12. Workplace Shell integration (MAKEDEFV.EXE): Double-clicking on files 
     with two or more dots in the file name, e.g. "my.file.gif", does not 
     launch PMView. 
 13. Workplace Shell integration (MAKEDEFV.EXE): Deselecting BMP does not 
     work unless WBMP also is deselected.
 14. On-line help: Several errors and omissions in the on-line help are 
     fixed.

-----------------------------------------------------------------------------

The following features are new in PMView 2000 v2.14:

 1. New menu option "File->Next/Previous->Wrap" that lets you select 
    if PMView's File Sequencer should wrap at the last/first file or not.

The following bugs and problems are fixed in PMView 2000 v2.14:

 1. Screen capture: Problem with using the keyboard mnemonics <Alt-F><T><S> 
    to activate File->Capture->Screen for hot-key capture. 
 2. The "Copy" and "Preserve Color Depth" menu items in the "Edit" menu 
    use the same mnemonic character.

-----------------------------------------------------------------------------

The following bugs and problems are fixed in PMView 2000 v2.13:

 1. PMView does not ask for save confirmation if the File Save dialog is open.

-----------------------------------------------------------------------------

The following features are new in PMView 2000 v2.12:

 1. New menu option "View->Show->Window Borders" that lets you hide the 
    window borders of PMView's main window.

The following bugs and problems are fixed in PMView 2000 v2.12:

 1. Convert to Black&White: Conversion of a Deep Color image results in an 
    image that PMView internally still thinks is Deep Color. Saving this 
    file results in a Deep Color image instead of a Black&White 1-bit image.
 2. File Open dialog: File open dialog opens with no files
 3. General: Fixed a problem with entering the decimal separator in 
    entry fields
 4. General: Some files cause PMView to crash.
 5. About dialog: The About dialog does not display the version number 
    of PMView.

-----------------------------------------------------------------------------

The following features are new in PMView 2000 v2.10:

 1. WBMP (WAP Bitmap) file support (read/write)
 2. PIC (Softimage Picture) file support (read/write)
 3. Threshold control for Black/White conversion
 4. PMView's System Info dialog now includes the version and internal build 
    number of PMView.

The following bugs and problems are fixed in PMView 2000 v2.10:

 1. Loading, JPEG: Some recovered JPEG (non-JFIF) files do not load because 
    they are mistaken for FAX G3 files. The detection of FAX G3 is too 
    lenient. The requirement is incresed from a 10 line minimum to a 100 line
    minimum for G3 files. 
 2. Loading, Windows BMP: Loading a Win32 BI_BITFILEDS type bitmap file 
    results in incorrect colors (interchanged red/blue color compontents).
 3. Loading, TIFF: Some TIFF files using Packbits compression cannot be read.
    PMView refuses to read files that are incorrectly stored with scanlines 
    that decode into too many bytes. This is now fixed so that PMView is more
    lenient in its error checking and accepts such TIFF files.
 4. Saving, Windows BMP: Windows BMP files saved with PMView has an error in 
    the file header.
 5. Saving, EPS: PMView generates an incorrect BoundingBox and scale factor.
 6. Zooming: Zooming to the minimum or maximum limit causes the zoom to get 
    stuck at either limit.
 7. Zooming: Zooming intermittently crashes PMView.
 8. Slideshow: Closing a slideshow disables the file sequencer 
    (File->Next/Previous).
 9. Slideshow: The color and the font are not saved.
10. Slideshow: The background of the progress bar is not painted correctly.
11. Printing: Printing on a printer that uses different horizontal and 
    vertical resolution results in a stretched image.
12. Brightness/Contrast/Color dialog: Contrast adjustment algorithm improved.
13. Tool bar: The tool bar icons remain grayed-out after applying a transform
    to an image.
14. File Save dialog: When saving a new image (not existing on disk yet), 
    PMView correctly opens the save dialog with the last folder saved to 
    highlited in the directory tree. However, the container does not show 
    the contents of this directory.
15. File Open/Save dialogs: Conversion status is not correctly displayed.
16. File Open/Save dialogs: Files in use (locked) by other applications will 
    not appear.
17. General performance: The minimum thread priority delta for threads is 
    changed from 0 to 1. This lets other applications in the system be even 
    "more idle" than any of PMView's background tasks.
18. Installation: Installation instructions updated.
19. Installation: The REXX script for manual installation updated. 

-----------------------------------------------------------------------------

PMView 2000 is the first multi-platform version of PMView. This version
is available for OS/2 Warp v3/v4/SMP and Windows 95/98/NT4/2000. The user 
interface code has been rewritten and a lot of changes and improvements have 
been made. Here's a list of changes and improvements in PMView 2000. Because 
of the large number of changes only major changes and new features are listed.

The following features are new in 2000 :

 1. Enhanced File Open/Save windows with a drag&drop enabled directory 
    tree.
 2. New thumbnail option that lets you use "On-the-fly Thumbnails". 
    On-the-fly Thumbnails are created on-the-fly and are not written to disk 
    like Icon Thumbnails. On-the-fly Thumbnails have the advantage that they 
    can be used on read-only media. There is also a "Mixed" mode option that 
    loads an Icon Thumbnail if available or otherwise creates an On-the-fly 
    Thumbnail.
 3. New print dialog. Three optional methods for mapping the image to the 
    printer: pixelwise, image resolution, or fit page. Print preview and 
    "drag"-style adjustment of print margins. There is now also a page 
    orientation selector including an option for automatic selection of 
    orientation.
 4. User configurable shortcut keys (hot keys). The keys can be configured 
    on the new "Shortcut Keys" page in PMView's options notebook.
 5. Tool bar with Move, Zoom, Scroll, and Selection tools. The tool bar is 
    optional and can be disabled.
 6. Status bar with progress bar and sizing grip. The status bar is optional 
    and can be disabled. Note that the sizing grip has added functionality: 
    Double-clicking on the grip does the same as View->Wrap Image.
 7. New menu option "File->New->Image" that lets you create a new empty 
    canvas.
 8. New menu option "File->New->PMView Window" that lets you start a new 
    PMView session.
 9. Progressive TWAIN support. The image appears in PMView's main window 
    line-by-line as it is being scanned.
10. Screen Capture: Support for capturing by hot key.
11. Screen Capture: Support for including the mouse pointer in the capture.
12. The number of colors is reported for deep color images. (This is 
    optional and is off by default).
13. File Sequencer: Background preloading (read ahead) of next file
14. File Sequencer: File caching (OS/2: optional, Windows: automatic)
15. BMP: Support for 15-, 16-, and 32-bit bitmaps.
16. BMP: Support for Win32 specific bitmaps (BI_BITFIELDS)
17. BMP: Support for top-down bitmaps (bitmaps with negative height).
18. EPS (Encapsulated Postscript) file support (write only)
19. PSD (Adobe Photoshop Document) file support (read/write)
20. G3 (CCITT Group 3 Facsimile) file support (read/write)
21. SFW (Seattle Filmworks) file support (read only)
22. TIFF: JPEG-in-TIFF file support (read/write)
23. TIFF: ZIP-in-TIFF file support (read/write)
24. TIFF: L*A*B* color support (read only)
25. TIFF: PMView will now read TIFFs even if the Orientation tag is invalid.
26. New command line option /ZOOm that lets you set the initial zoom 
    percentage
27. New window sizing and positioning options: center window on screen, 
    respect system task bar, and more.
28. New "Grid" view mode in the file open and slideshow container.
29. New zooming commands that let you zoom by factor.
30. New commands that delete the current image and automatically load the 
    next or previous image. (These commands are only available via shortcut 
    keys. The default keys are Ctrl-Del and Alt-Del.)
31. New options in the File Open and File Save windows that let you choose 
    whether the window should always float on top of PMView's main window 
    and whether the window should be hidden or not when you double-click 
    on an image or press "Open".
32. New option to hide the title bar. (This option is located under 
    View->Show->Title Bar).
33. New option to hide the scroll bars. (This option is located under 
    View->Show->Scroll Bars).
34. New option that lets you select if the delete command should 
    automatically load the next image after deleting the current image. 
    (This option is located on the "Loading" page in PMView's options 
    notebook).
35. Corrupt files in the File Open container are highlited with a red 
    background. This feature is optional and can be disabled.
36. New Autostart option that will automatically start a loaded slideshow. 
    This option can be found in PMView's options notebook on the "Slideshow" 
    page.
37. New menu entry for creating a slideshow from a directory, or a directory 
    including all subdirectories. This is located on the directory tree popup 
    menu in the File Open window.
38. New menu entry for setting the desktop background.
39. Direct menu entries for selecting the most common filters. Many of these 
    filters are new filters not previously available in PMView.

Here is a list of notable changes between 2000 and v1.0 for OS/2:

 1. All windows, dialogs, and controls now scale dynamically. This means 
    that they look good regardless of system font differences (texts are 
    not truncated nor is there excessive white space between controls).
 2. Hot keys have been changed to be compatible between platforms
 3. Some menus are rearranged (Selection Info - formerly called Track Info, 
    Image Info, Show Menu, and Show Controller are now found under the 
    View->Show-> menu.)
 4. Thumbnails are no longer kept in memory in the form of OS/2 bitmaps. 
    This requires less memory and solves a bitmap resource problem that 
    has been observed on some systems.
 5. The open/close state of the image info window is remembered. If the 
    image info window is visible when closing PMView, it will automatically 
    be shown when PMView is restarted.
 6. TWAIN memory handling is improved. When using a TWAIN source that 
    supports transfer of data in small blocks (e.g. CFM) the memory need is 
    only 50% compared to PMView v1.0.
 7. User configurations are now stored as version independent option keys in 
    the OS/2 USER INI file.
 8. The "Mode" control is removed. Mode->Slideshow is replaced by 
    File->New->Slideshow. Mode->View/Edit is replaced with File->New Image 
    (alternatively you can use File->Close).

The following bugs and problems are fixed in PMView 2000:

 1. PMView is now able to correctly display images with a height and/or 
    width larger than 65535 pixels.
 2. TWAIN: On some systems scanning with CFM Twain does not work correctly. 
    The TWAIN code in 2000 is rewritten and now works correctly.
 3. Mouse Properties dialog in the System Setup Folder: Dragging from 
    PMView's file open container or slideshow does not work when the OS/2 
    "Dragging Objects" property is set to "Button 1".
 4. File sequencer: When keeping the '+' or '-' (alternatively Shift+
    PgUp/PgDn) key pressed, PMView will get stuck in a four image loop 
    although there are more images in the current directory. This problem 
    is fixed in PMView 2000 that has a completely new file sequencer with 
    preloading (read-ahead) and optional directory caching.
 5. File Open Window: Scrolling the file open container does not work 
    correctly if there is a large number of files in the container.
    This is an OS/2 bug. The problem no longer appears in PMView 2000, 
    because it uses its own container control instead of the control 
    provided by the system.
 6. File Open Window: No cursor is drawn in detail view mode. This means 
    that the Shift+F8 method of selection cannot be used.

